#pragma once

#include "../message_reporter.h"
#include <yandex/maps/wiki/diffalert/diff_context.h>

namespace maps {
namespace wiki {
namespace diffalert {

void checkMajorTransport(const DiffContext&, MessageReporter&);

void checkTransportRailway(const DiffContext&, MessageReporter&);

void checkTransportTypeChange(const DiffContext&, MessageReporter&);

void checkTransportAssignChange(const DiffContext&, MessageReporter&);

void checkMetroChange(const DiffContext&, MessageReporter&);

void checkAirfieldChange(const DiffContext&, MessageReporter&);

} // namespace diffalert
} // namespace wiki
} // namespace maps
